[blfs-book] r13009 - in trunk/BOOK: . gnome/applications gnome/platform introduction/welcome multimedia/audioutils multimedia/libdriv

fernando at higgs.linuxfromscratch.org fernando at higgs.linuxfromscratch.org
Tue Apr 29 14:49:57 PDT 2014


Author: fernando
Date: Tue Apr 29 14:49:57 2014
New Revision: 13009

Log:
vte-0.36.1 and gnome-terminal-3.12.1. Fixes to build lame-3.99.5 and gst-plugins-base-1.2.4 with gcc-4.9.0. Minor fixes to libdvdread-4.9.9 and nautilus-3.12.0.

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/gnome/applications/gnome-terminal.xml
   trunk/BOOK/gnome/applications/nautilus.xml
   trunk/BOOK/gnome/platform/vte.xml
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/multimedia/audioutils/lame.xml
   trunk/BOOK/multimedia/libdriv/gst10-plugins-base.xml
   trunk/BOOK/multimedia/libdriv/libdvdread.xml

Modified: trunk/BOOK/general.ent
==============================================================================
--- trunk/BOOK/general.ent	Tue Apr 29 03:33:31 2014	(r13008)
+++ trunk/BOOK/general.ent	Tue Apr 29 14:49:57 2014	(r13009)
@@ -630,7 +630,7 @@
 <!ENTITY libwnck-version              "3.4.7">
 <!ENTITY notification-daemon-version  "0.7.6">
 <!ENTITY totem-pl-parser-version      "3.10.2">
-<!ENTITY vte-version                  "0.36.0">
+<!ENTITY vte-version                  "0.36.1">
 
 <!-- Runtime -->
 <!ENTITY dconf-version                     "0.20.0">
@@ -654,7 +654,7 @@
 <!ENTITY gnome-nettool-version        "3.8.1">
 <!ENTITY gnome-screenshot-version     "3.12.0">
 <!ENTITY gnome-system-monitor-version "3.12.1">
-<!ENTITY gnome-terminal-version       "3.12.0">
+<!ENTITY gnome-terminal-version       "3.12.1">
 <!ENTITY gucharmap-version            "3.12.0">
 <!ENTITY nautilus-version             "3.12.0">
 <!ENTITY network-manager-applet-version "0.9.8.10">  <!-- stable lt .90 micro version -->

Modified: trunk/BOOK/gnome/applications/gnome-terminal.xml
==============================================================================
--- trunk/BOOK/gnome/applications/gnome-terminal.xml	Tue Apr 29 03:33:31 2014	(r13008)
+++ trunk/BOOK/gnome/applications/gnome-terminal.xml	Tue Apr 29 14:49:57 2014	(r13009)
@@ -8,10 +8,10 @@
            "&gnome-download-http;/gnome-terminal/&gnome-minor;/gnome-terminal-&gnome-terminal-version;.tar.xz">
   <!ENTITY gnome-terminal-download-ftp
            "&gnome-download-ftp;/gnome-terminal/&gnome-minor;/gnome-terminal-&gnome-terminal-version;.tar.xz">
-  <!ENTITY gnome-terminal-md5sum        "0db5151745f681af5392f18e307a6dc3">
+  <!ENTITY gnome-terminal-md5sum        "ea25923b736d451504635668eb850895">
   <!ENTITY gnome-terminal-size          "1.7 MB">
   <!ENTITY gnome-terminal-buildsize     "41 MB">
-  <!ENTITY gnome-terminal-time          "0.3 SBU">
+  <!ENTITY gnome-terminal-time          "0.4 SBU">
 ]>
 
 <sect1 id="gnome-terminal" xreflabel="gnome-terminal-&gnome-terminal-version;">

Modified: trunk/BOOK/gnome/applications/nautilus.xml
==============================================================================
--- trunk/BOOK/gnome/applications/nautilus.xml	Tue Apr 29 03:33:31 2014	(r13008)
+++ trunk/BOOK/gnome/applications/nautilus.xml	Tue Apr 29 14:49:57 2014	(r13009)
@@ -95,6 +95,7 @@
 
     <bridgehead renderas="sect4">Recommended (Runtime)</bridgehead>
     <para role="recommended">
+      <xref linkend="gnome-icon-theme-symbolic"/>, and
       <xref linkend="gvfs"/> (For hotplugging and device mounting to work)
     </para>
 

Modified: trunk/BOOK/gnome/platform/vte.xml
==============================================================================
--- trunk/BOOK/gnome/platform/vte.xml	Tue Apr 29 03:33:31 2014	(r13008)
+++ trunk/BOOK/gnome/platform/vte.xml	Tue Apr 29 14:49:57 2014	(r13009)
@@ -6,9 +6,9 @@
 
   <!ENTITY vte-download-http "&gnome-download-http;/vte/0.36/vte-&vte-version;.tar.xz">
   <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.36/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-md5sum        "64f15103446a8837cc1bc6f2619f10fe">
-  <!ENTITY vte-size          "988 KB">
-  <!ENTITY vte-buildsize     "20 MB (additional 3 MB for the tests)">
+  <!ENTITY vte-md5sum        "e17e7a117819a4dd7641d259d9f0ddfc">
+  <!ENTITY vte-size          "992 KB">
+  <!ENTITY vte-buildsize     "19 MB (additional 3 MB for the tests)">
   <!ENTITY vte-time          "0.3 SBU (additional 0.1 SBU for the tests)">
 ]>
 

Modified: trunk/BOOK/introduction/welcome/changelog.xml
==============================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	Tue Apr 29 03:33:31 2014	(r13008)
+++ trunk/BOOK/introduction/welcome/changelog.xml	Tue Apr 29 14:49:57 2014	(r13009)
@@ -48,6 +48,19 @@
       <para>April 29th, 2014</para>
       <itemizedlist>
         <listitem>
+          <para>[fernando] - Fixes to build lame-3.99.5 and
+          gst-plugins-base-1.2.4 with gcc-4.9.0. Minor fixes to
+          libdvdread-4.9.9 and nautilus-3.12.0.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - gnome-terminal-3.12.1. Fixes
+          <ulink url="&blfs-ticket-root;4996">#4996</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - vte-0.36.1. Fixes
+          <ulink url="&blfs-ticket-root;4997">#4997</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Remove unneeded flags for compiling GCC-4.9.0
           and correct test instructions.</para>
         </listitem>

Modified: trunk/BOOK/multimedia/audioutils/lame.xml
==============================================================================
--- trunk/BOOK/multimedia/audioutils/lame.xml	Tue Apr 29 03:33:31 2014	(r13008)
+++ trunk/BOOK/multimedia/audioutils/lame.xml	Tue Apr 29 14:49:57 2014	(r13009)
@@ -90,6 +90,12 @@
     <title>Installation of LAME</title>
 
     <para>
+      First, for i686, fix a problem with gcc-4.9.0:
+    </para>
+
+<screen><userinput>sed -i -e 's/fast-math/& -msse2/' configure</userinput></screen>
+
+    <para>
       Install <application>LAME</application> by running
       the following commands:
     </para>

Modified: trunk/BOOK/multimedia/libdriv/gst10-plugins-base.xml
==============================================================================
--- trunk/BOOK/multimedia/libdriv/gst10-plugins-base.xml	Tue Apr 29 03:33:31 2014	(r13008)
+++ trunk/BOOK/multimedia/libdriv/gst10-plugins-base.xml	Tue Apr 29 14:49:57 2014	(r13009)
@@ -122,6 +122,12 @@
     <title>Installation of GStreamer Base Plug-ins</title>
 
     <para>
+      First, for i686, fix a problem with gcc-4.9.0:
+    </para>
+
+<screen><userinput>sed -i -e 's/-O2/& -msse2/' configure</userinput></screen>
+
+    <para>
       Install <application>GStreamer Base Plug-ins</application> by running the
       following commands:
     </para>

Modified: trunk/BOOK/multimedia/libdriv/libdvdread.xml
==============================================================================
--- trunk/BOOK/multimedia/libdriv/libdvdread.xml	Tue Apr 29 03:33:31 2014	(r13008)
+++ trunk/BOOK/multimedia/libdriv/libdvdread.xml	Tue Apr 29 14:49:57 2014	(r13009)
@@ -67,8 +67,7 @@
     <para>Install <application>libdvdread</application> by running the
     following commands:</para>
 
-<screen><userinput>
-./configure --prefix=/usr    \
+<screen><userinput>./configure --prefix=/usr    \
             --disable-static \
             --docdir=/usr/share/libdvdread-&libdvdread-version;
 make</userinput></screen>


More information about the blfs-book mailing list